Cyberduck Mountain Duck CLI

#159 closed defect (fixed)

IO-Error when using an RSA-Key connecting to an SFTP Server

Reported by: Thomas Owned by: dkocher
Priority: high Milestone: 2.8
Component: sftp Version: 2.5.4
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Can't get cyberduck to work with sftp-connection using public key auth. SSHKeychain and OpenSSH works perfectly.

When using public key authentication, cyberduck TRIES to connect to the server but when it comes to key exchange I always get the request:

IO Error: The SSH key supplied is invalid

I am using an 4096 Bit Key, which works perfectly with OpenSSH (generated with the native version of 10.4.4 Tiger).

My sshd log on the sftp server side reads as follow:

Jan 23 12:45:32 mail sshd[17896]: debug3: fd 5 is not O_NONBLOCK
Jan 23 12:45:32 mail sshd[17902]: debug1: rexec start in 5 out 5 newsock 5 pipe 7 sock 8
Jan 23 12:45:32 mail sshd[17896]: debug1: Forked child 17902.
Jan 23 12:45:32 mail sshd[17896]: debug3: send_rexec_state: entering fd = 8 config len 673
Jan 23 12:45:32 mail sshd[17896]: debug3: ssh_msg_send: type 0
Jan 23 12:45:32 mail sshd[17896]: debug3: send_rexec_state: done
Jan 23 12:45:32 mail sshd[17902]: debug1: inetd sockets after dupping: 3, 3
Jan 23 12:45:32 mail sshd[17902]: Connection from xxx.xxx.xxx.xxx port 44234
Jan 23 12:45:32 mail sshd[17902]: debug1: Client protocol version 2.0; client software version J2SSH (Cyberduck) [CLIENT]
Jan 23 12:45:32 mail sshd[17902]: debug1: no match: J2SSH (Cyberduck) [CLIENT]
Jan 23 12:45:32 mail sshd[17902]: debug1: Enabling compatibility mode for protocol 2.0
Jan 23 12:45:32 mail sshd[17902]: debug1: Local version string SSH-2.0-OpenSSH_3.9p1
Jan 23 12:45:32 mail sshd[17902]: debug2: fd 3 setting O_NONBLOCK
Jan 23 12:45:32 mail sshd[17902]: debug2: Network child is on pid 17907
Jan 23 12:45:32 mail sshd[17902]: debug3: preauth child monitor started
Jan 23 12:45:32 mail sshd[17902]: debug3: mm_request_receive entering
Jan 23 12:45:33 mail sshd[17902]: debug3: monitor_read: checking request 4
Jan 23 12:45:33 mail sshd[17902]: debug3: mm_answer_sign
Jan 23 12:45:33 mail sshd[17902]: debug3: mm_answer_sign: signature 0x809a7c0(527)
Jan 23 12:45:33 mail sshd[17902]: debug3: mm_request_send entering: type 5
Jan 23 12:45:33 mail sshd[17902]: debug2: monitor_read: 4 used once, disabling now
Jan 23 12:45:33 mail sshd[17902]: debug3: mm_request_receive entering
Jan 23 12:45:37 mail sshd[17902]: debug1: do_cleanup

Change History (3)

comment:1 Changed on Jan 25, 2006 at 10:52:47 AM by dkocher

  • Description modified (diff)
  • Status changed from new to assigned

comment:2 Changed on Feb 16, 2007 at 2:55:53 PM by dkocher

  • Milestone set to 2.8

Pleaes check against build 2844 from http://update.cyberduck.ch/nightly/

comment:3 Changed on May 4, 2007 at 9:00:54 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.